Skip to main content

Heim

Proxies container image builds to the Heim build service. Used for programmatic image builds (for example from CI).

Authentication

Authorization: Bearer <YOUR_API_KEY>

Build Image

POST /tha/v2/heim/build

Forwards the request body to Heim. Returns either a streamed build log (text/plain) or a cached JSON response.

Request body

FieldTypeDescription
dockerfilestringDockerfile contents
filesobjectContext files
repostringGit repository URL
refstringGit ref
image_idstringTarget image ID
tagstringImage tag
build_argsobjectDocker build args
labelsobjectImage labels
secretsarrayBuild secrets
ssharraySSH mount configs
cache_fromarrayCache sources
cache_toarrayCache destinations
no_cachebooleanDisable build cache

Cached response

When a cached build exists:

{
"type": "cached",
"timestamp": "2025-01-15T10:30:00Z",
"image_id": "sha256:..."
}